import { createApp } from "vue";
import App from "./App.vue";
import setupPlugins from "@/plugins";
// 持久化插件
import persist from "pinia-plugin-persistedstate";

// 本地SVG图标
import "virtual:svg-icons-register";

// 样式
import "element-plus/theme-chalk/dark/css-vars.css";
import "@/styles/index.scss";
import "uno.css";
import "animate.css";

import LicensePlate from "vue3-license-plate";
import "vue3-license-plate/lib/licensePlate.css";

import "@/assets/font_4666703_de1boqvna1d/iconfont.css";
const app = createApp(App);
app.use(setupPlugins);
app.use(LicensePlate);
app.use(createPinia().use(persist));

app.mount("#app");
